cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Kemp <drk...@google.com>
Subject Re: build failure
Date Mon, 21 Oct 2013 22:59:25 GMT
Looks like it fixed it!
On Oct 21, 2013 4:40 PM, "Tim Kim" <timkim85@gmail.com> wrote:

> Hey David,
>
> I just uploaded a patch that should hopefully things for ya. Let me know if
> there are any more problems.
>
>
> On 18 October 2013 18:51, Tim Kim <timkim85@gmail.com> wrote:
>
> > Hrmmm. Shoot. Funny how a '.0' can paint you into a corner.
> >
> > I'm not sure if there are any easy solutions to this one since the code
> > always pulls the latest. I think what I'll do is add some logic such that
> > the new version-compare in plugman can handle differing version strings.
> > Unfortunately it's pretty much end of the day for me here, but I'll
> attempt
> > for a fix this weekend.
> >
> >
> >
> > On 18 October 2013 18:27, David Kemp <drkemp@google.com> wrote:
> >
> >> Hi Tim,
> >> That has indeed fixed the master branch, but the 3.1 release branch
> still
> >> has the problem. I currently always build with the latest tool chain
> >> (plugman) so a non backward-compatible change to plugman will be an
> issue.
> >>
> >> That would require that the fix to mobilespec be back-patched to 3.1 as
> >> well. Not sure if that has any other side-effects.
> >>
> >>
> >>
> >>
> >> On Fri, Oct 18, 2013 at 8:59 PM, Tim Kim <timkim85@gmail.com> wrote:
> >>
> >> > Hey there David,
> >> >
> >> > I just committed a fix for mobile spec. I believe the problem was that
> >> the
> >> > engine tag in cordova-mobile-spec/dependencies-plugin/plugin.xml
> needed
> >> to
> >> > have a patch portion to the version.
> >> >
> >> >
> >> > On 18 October 2013 17:48, David Kemp <drkemp@chromium.org> wrote:
> >> >
> >> > > Builds are failing due to an inability to add plugins.
> >> > >
> >> > > This started about 8:2pm with three plugman commits by Tim Kim
> >> > >
> >> > > error text:
> >> > >
> >> > > Fetching plugin from "../cordova-mobile-spec/dependencies-plugin"...
> >> > > Starting installation of "org.cordova.mobile-spec-dependencies" for
> >> > > ios[Error: Different version string format detected. Unable to
> compare
> >> > > to versions. Please check the output from your version script and
> the
> >> > > engine tag in your plugin.xml.
> >> > >
> >> >
> >> >
> >> >
> >> > --
> >> > Timothy Kim
> >> >
> >>
> >
> >
> >
> > --
> > Timothy Kim
> >
> >
>
>
> --
> Timothy Kim
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message